Jump to content

Skycruiser65

Version 1.11 wrong Garmin trainer

Recommended Posts

Hello ! 

I have Problems after re-installing GTN750 . The new installer doesnt work. I got a Message that my account do not match with the product. So I used the old installer from 2016 and it worked.

But the link to the Garmin Trainer was for the Version GTN 620-6211 . This does not work with my GTN 750 Version

I did an Update with the update tool to Version 1.11 . Do I have to buy the new Version 2.414 to match  with the new Garmin Trainer  or is there a license Problem with the new installer and my account.

Thanks

Andy 

 

Share this post


Link to post
Share on other sites

First question is which developer's GTN do you have?  You did not say.The F1 developed GTN?  Or the Reality XP GTN?  They are two different offerings from two different developers.  It can be confusing because both are sold from the same web site.

Edited by fppilot

Share this post


Link to post
Share on other sites
On March 21, 2018 at 10:22 AM, fppilot said:

It can be confusing because both are sold from the same web site.

The genuine Reality XP GTN Touch is available only from the Reality XP online store!

It might be confusing both are using the same e-commerce procurement solution though.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...